%define name nte
%define version 2.4 
%define release ipv6

Name: %{name}
Summary: Network Text Editor
Version: %{version}
Release: %{release}
Group: Applications/Internet
Copyright: Copyright (c) 1995-2003 University College London
URL: http://www-mice.cs.ucl.ac.uk/multimedia/software/%{name}/
Source: http://www-mice.cs.ucl.ac.uk/multimedia/software/%{name}/releases/%{version}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root

%description
NTE is a shared text editor designed for use on the Mbone. 
It is not a word processor (it is not clear that word 
processing is a useful task to share) and it is not a 
whiteboard - if you want a whiteboard, wb from LBL is a 
much better whiteboard. 

See http://www-mice.cs.ucl.ac.uk/multimedia/software/nte

%prep
%setup -q

%build
cd tcl-8.0/unix
%configure
make
cd ../../tk-8.0/unix
%configure
make
cd ../../common
%configure --enable-ipv6
make
cd ../nte/linux
%configure --sysconfdir=/etc --mandir=%{_mandir} --enable-ipv6
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -m755 -s nte/linux/nte $RPM_BUILD_ROOT/usr/bin/nte

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_prefix}/bin/*

%changelog
* Thu May 01 2003 Kristian Hasler <k.hasler@cs.ucl.ac.uk>
- initial build

